From: "Patrice Clement" <monsieurp@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/clion/
Date: Wed, 9 Mar 2016 09:49:48 +0000 (UTC) [thread overview]
Message-ID: <1457516106.e27b5dd99def04681a7e50a27d005eeac00b8295.monsieurp@gentoo> (raw)
commit: e27b5dd99def04681a7e50a27d005eeac00b8295
Author: Gert <pellingert <AT> gmail <DOT> com>
AuthorDate: Fri Mar 4 22:00:06 2016 +0000
Commit: Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Wed Mar 9 09:35:06 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e27b5dd9
dev-util/clion: new package
Pull-Request: https://github.com/gentoo/gentoo/pull/978
Acked-by: Patrice Clement <monsieurp <AT> gentoo.org>
Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>
dev-util/clion/Manifest | 1 +
dev-util/clion/clion-1.2.4.143.1186.ebuild | 66 ++++++++++++++++++++++++++++++
dev-util/clion/metadata.xml | 16 ++++++++
3 files changed, 83 insertions(+)
diff --git a/dev-util/clion/Manifest b/dev-util/clion/Manifest
new file mode 100644
index 0000000..09ef998
--- /dev/null
+++ b/dev-util/clion/Manifest
@@ -0,0 +1 @@
+DIST clion-143.1186.tar.gz 220702330 SHA256 a2d6960afbfae77f59481c5ad30bc7c5afe9451bdf9d12cd9435f605b57b522b SHA512 d4ea1bad5f3da3bab569380114011798c29e633009867c8020363c9af72326ebaa3232dff9c931a67dd0a0195bf4903647e250963c7aeebe9ad83340c988cbad WHIRLPOOL 2a0855b6a32a5e23a1c7266d7a3dc00ad3ba905c5a8fa6d1e9959d6d4f67c73d35c94bfbe0837fde0d1736bd48dcb9212a219cfa81732cb169abdb1fb5dc4dd7
diff --git a/dev-util/clion/clion-1.2.4.143.1186.ebuild b/dev-util/clion/clion-1.2.4.143.1186.ebuild
new file mode 100644
index 0000000..7c4ad66
--- /dev/null
+++ b/dev-util/clion/clion-1.2.4.143.1186.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils versionator
+
+SLOT="0"
+PV_STRING="$(get_version_component_range 4-6)"
+MY_PV="$(get_version_component_range 1-3)"
+
+KEYWORDS="~amd64 ~x86"
+SRC_URI="http://download.jetbrains.com/cpp/${PN}-${MY_PV}.tar.gz -> ${PN}-${PV_STRING}.tar.gz"
+DESCRIPTION="A complete toolset for C and C++ development"
+HOMEPAGE="http://www.jetbrains.com/clion"
+
+LICENSE="IDEA
+ || ( IDEA_Academic IDEA_Classroom IDEA_OpenSource IDEA_Personal )"
+IUSE=""
+
+RDEPEND="${DEPEND}
+ sys-devel/gdb
+ dev-util/cmake"
+S="${WORKDIR}/${PN}-${MY_PV}"
+
+QA_PREBUILT="opt/${PN}-${MY_PV}/*"
+
+src_prepare() {
+ if ! use amd64; then
+ rm -r plugins/tfsIntegration/lib/native/linux/x86_64 || die
+ fi
+ if ! use arm; then
+ rm bin/fsnotifier-arm || die
+ rm -r plugins/tfsIntegration/lib/native/linux/arm || die
+ fi
+ if ! use ppc; then
+ rm -r plugins/tfsIntegration/lib/native/linux/ppc || die
+ fi
+ if ! use x86; then
+ rm -r plugins/tfsIntegration/lib/native/linux/x86 || die
+ fi
+
+ rm -r bin/cmake || die
+ rm license/CMake* || die
+ rm -r bin/gdb || die
+ rm license/GDB* || die
+
+ rm -r plugins/tfsIntegration/lib/native/solaris || die
+ rm -r plugins/tfsIntegration/lib/native/hpux || die
+}
+
+src_install() {
+ local dir="/opt/${PN}-${MY_PV}"
+
+ insinto "${dir}"
+ doins -r *
+ fperms 755 "${dir}"/bin/{clion.sh,fsnotifier{,64}}
+
+ make_wrapper "${PN}" "${dir}/bin/${PN}.sh"
+ newicon "bin/${PN}.svg" "${PN}.svg"
+ make_desktop_entry "${PN}" "clion" "${PN}" "Development;IDE;"
+
+ # recommended by: https://confluence.jetbrains.com/display/IDEADEV/Inotify+Watches+Limit
+ mkdir -p "${D}/etc/sysctl.d/" || die
+ echo "fs.inotify.max_user_watches = 524288" > "${D}/etc/sysctl.d/30-idea-inotify-watches.conf" || die
+}
diff --git a/dev-util/clion/metadata.xml b/dev-util/clion/metadata.xml
new file mode 100644
index 0000000..026c611
--- /dev/null
+++ b/dev-util/clion/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer type="person">
+ <email>gert@pellin.be</email>
+ <name>Gert Pellin</name>
+ <description>Proxy maintainer. Assign bugs to him.</description>
+ </maintainer>
+<maintainer type="project">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
+<longdescription lang="en">
+ Fully Integrated C/C++ Development Environment.
+</longdescription>
+</pkgmetadata>
next reply other threads:[~2016-03-09 9:49 UTC|newest]
Thread overview: 127+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-03-09 9:49 Patrice Clement [this message]
-- strict thread matches above, loose matches on Subject: below --
2016-08-11 8:35 [gentoo-commits] repo/gentoo:master commit in: dev-util/clion/ Patrice Clement
2017-04-13 13:12 Patrice Clement
2017-04-13 13:12 Patrice Clement
2017-04-26 14:04 Michał Górny
2017-04-26 14:04 Michał Górny
2017-05-21 18:53 Michał Górny
2017-05-21 18:53 Michał Górny
2017-06-12 21:46 Patrice Clement
2017-06-12 21:46 Patrice Clement
2017-07-20 20:30 Patrice Clement
2017-07-20 20:30 Patrice Clement
2017-08-05 11:08 Michał Górny
2017-08-05 11:08 Michał Górny
2017-09-02 17:30 Patrice Clement
2017-09-02 17:30 Patrice Clement
2017-10-15 21:11 Patrice Clement
2017-10-15 21:11 Patrice Clement
2017-12-02 22:53 Patrice Clement
2017-12-02 22:53 Patrice Clement
2018-01-05 23:57 Craig Andrews
2018-01-05 23:57 Craig Andrews
2018-02-11 10:53 Michał Górny
2018-02-17 15:26 Patrice Clement
2018-02-17 15:26 Patrice Clement
2018-03-24 15:34 Michał Górny
2018-03-24 15:34 Michał Górny
2018-03-30 21:27 Michał Górny
2018-03-30 21:27 Michał Górny
2018-08-06 15:47 Georgy Yakovlev
2018-08-06 15:47 Georgy Yakovlev
2018-08-06 15:47 Georgy Yakovlev
2018-08-06 15:47 Georgy Yakovlev
2018-09-23 17:45 Georgy Yakovlev
2018-09-23 17:45 Georgy Yakovlev
2018-11-27 22:41 Georgy Yakovlev
2018-11-27 22:41 Georgy Yakovlev
2019-01-31 18:52 Georgy Yakovlev
2019-01-31 18:52 Georgy Yakovlev
2019-01-31 18:52 Georgy Yakovlev
2019-02-15 23:12 Patrice Clement
2019-02-15 23:12 Patrice Clement
2019-04-16 18:27 Georgy Yakovlev
2019-04-16 18:27 Georgy Yakovlev
2019-05-10 18:25 Georgy Yakovlev
2019-05-10 18:25 Georgy Yakovlev
2019-07-30 3:33 Georgy Yakovlev
2019-07-30 3:33 Georgy Yakovlev
2019-09-15 16:49 Joonas Niilola
2019-09-15 16:49 Joonas Niilola
2019-09-26 16:41 Ulrich Müller
2019-09-26 16:41 Ulrich Müller
2019-10-13 12:36 Joonas Niilola
2019-10-13 12:36 Joonas Niilola
2019-10-18 5:25 Joonas Niilola
2019-10-18 5:25 Joonas Niilola
2019-11-30 7:50 Joonas Niilola
2019-11-30 7:50 Joonas Niilola
2020-01-20 13:03 Joonas Niilola
2020-01-20 13:03 Joonas Niilola
2020-02-06 6:20 Joonas Niilola
2020-02-06 6:20 Joonas Niilola
2020-02-06 6:20 Joonas Niilola
2020-03-26 7:22 Joonas Niilola
2020-03-26 7:22 Joonas Niilola
2020-04-16 8:11 Joonas Niilola
2020-04-16 8:11 Joonas Niilola
2020-05-13 13:17 Joonas Niilola
2020-05-13 13:17 Joonas Niilola
2020-07-07 13:30 Joonas Niilola
2020-07-07 13:30 Joonas Niilola
2020-08-21 7:15 Joonas Niilola
2020-08-21 7:15 Joonas Niilola
2020-08-21 7:15 Joonas Niilola
2020-10-08 6:57 Joonas Niilola
2020-10-08 6:57 Joonas Niilola
2020-10-17 13:19 Joonas Niilola
2020-10-17 13:19 Joonas Niilola
2021-01-04 12:34 Joonas Niilola
2021-01-05 8:40 Joonas Niilola
2021-01-05 8:40 Joonas Niilola
2021-02-15 13:15 Joonas Niilola
2021-02-15 13:15 Joonas Niilola
2021-02-15 13:15 Joonas Niilola
2021-03-23 12:32 Joonas Niilola
2021-03-23 12:32 Joonas Niilola
2021-04-13 10:38 Joonas Niilola
2021-04-13 10:38 Joonas Niilola
2021-04-13 10:38 Joonas Niilola
2021-07-02 7:38 Joonas Niilola
2021-07-02 7:38 Joonas Niilola
2021-08-14 5:59 Joonas Niilola
2021-08-14 5:59 Joonas Niilola
2021-08-14 5:59 Joonas Niilola
2021-12-24 4:47 Sam James
2021-12-24 4:47 Sam James
2022-01-28 8:36 Sam James
2022-01-28 8:36 Sam James
2022-06-03 13:15 Joonas Niilola
2022-06-03 13:15 Joonas Niilola
2022-06-03 13:15 Joonas Niilola
2022-06-14 7:13 Joonas Niilola
2022-06-14 7:13 Joonas Niilola
2022-07-05 9:06 Joonas Niilola
2022-07-05 9:06 Joonas Niilola
2022-09-10 8:27 Matthew Smith
2022-09-14 17:17 Matthew Smith
2022-11-22 13:55 Joonas Niilola
2022-12-23 10:22 Viorel Munteanu
2023-01-12 14:07 Joonas Niilola
2023-02-09 15:53 Joonas Niilola
2023-02-10 8:57 Joonas Niilola
2023-02-10 8:57 Joonas Niilola
2023-02-24 15:09 Joonas Niilola
2023-04-10 10:41 Joonas Niilola
2023-04-10 10:41 Joonas Niilola
2023-07-14 6:50 Joonas Niilola
2023-07-14 6:50 Joonas Niilola
2024-04-14 9:57 Viorel Munteanu
2024-04-14 9:57 Viorel Munteanu
2024-05-13 16:11 Ulrich Müller
2024-05-13 17:33 Ulrich Müller
2024-05-25 5:05 Arthur Zamarin
2024-06-11 17:04 Ulrich Müller
2024-10-26 15:00 Viorel Munteanu
2025-01-05 13:07 Florian Schmaus
2025-01-27 6:45 Viorel Munteanu
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1457516106.e27b5dd99def04681a7e50a27d005eeac00b8295.monsieurp@gentoo \
--to=monsieurp@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox